Bug 137399 - Running in specific locale will create double free or corruption
Summary: Running in specific locale will create double free or corruption
Status: CLOSED DUPLICATE of bug 135859
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-10-28 03:57 UTC by Leon Ho
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:06:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leon Ho 2004-10-28 03:57:59 UTC
Description of problem:
[root@reflex i386]# LANG=ko_KR.UTF-8 rpm -qi gcc
*** glibc detected *** double free or corruption: 0x09be36a0 ***
ì¤ì§ë¨


Version-Release number of selected component (if applicable):
4.3.2-13

How reproducible:
everytime

Steps to Reproduce:
1. LANG=ko_KR.UTF-8 rpm -qi gcc
or
1. LANG=ko_KR.UTF-8 rpm -qi gcc
or
rpm -qi anything that has translation
  
Actual results:
glibc abort because of the double free detection

Expected results:
should show information

Additional info:
locale like:
[root@reflex i386]# LANG=ja_JP.UTF-8 rpm -qi gcc
Name        : gcc                          Relocations: (not relocatable)

Is fine.

Comment 1 Paul Nasrat 2004-10-28 07:44:00 UTC
Already in bugzilla - seemingly specspo issue

*** This bug has been marked as a duplicate of 135859 ***

Comment 2 Red Hat Bugzilla 2006-02-21 19:06:39 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.